Bug 881903 - Review Request: python-zope-interface4 - Forward compat package for Zope 3 Interface Infrastructure
Summary: Review Request: python-zope-interface4 - Forward compat package for Zope 3 In...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Dabašinskas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-29 18:35 UTC by Ralph Bean
Modified: 2013-02-13 14:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:45:19 UTC
Type: ---
tdabasin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-11-29 18:35:49 UTC
Spec URL: http://ralph.fedorapeople.org//python-zope-interface4.spec
SRPM URL: http://ralph.fedorapeople.org//python-zope-interface4-4.0.2-3.fc18.src.rpm

Description:
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

This is a forward-compat package for epel6.

Comment 1 Ralph Bean 2012-11-29 18:35:56 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4741524

Comment 2 Tomas Dabašinskas 2012-12-03 04:53:39 UTC
Ralph, there seems to be file permission issue from fedora review below, also please review and where appropriate fix rpmlint warnings.
el6 scratch build went fine http://koji.fedoraproject.org/koji/taskinfo?taskID=4749893

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Permissions on files are set properly.
     Note: See rpmlint output
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[!]: Permissions on files are set properly.
     Note: See rpmlint output
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /mnt/pnt/tomas/881903-python-zope-
     interface4/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 204800 bytes in 18 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[ ]: Binary eggs must be removed in %prep
     Note: Cannot find sources under BUILD (using prebuilt sources?)
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (zope.interface-4.0.2.tar.gz)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-zope-interface4-4.0.2-3.el6.src.rpm
          python-zope-interface4-debuginfo-4.0.2-3.el6.x86_64.rpm
          python-zope-interface4-4.0.2-3.el6.x86_64.rpm
python-zope-interface4.src: W: spelling-error Summary(en_US) compat -> compact, combat, cowpat
python-zope-interface4.src: W: spelling-error %description -l en_US compat -> compact, combat, cowpat
python-zope-interface4.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 5)
python-zope-interface4.x86_64: W: spelling-error Summary(en_US) compat -> compact, combat, cowpat
python-zope-interface4.x86_64: W: spelling-error %description -l en_US compat -> compact, combat, cowpat
python-zope-interface4.x86_64: W: obsolete-not-provided python-zope-filesystem
python-zope-interface4.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/site-packages/zope/interface/_zope_interface_coptimizations.so 0775L
3 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-zope-interface4-debuginfo python-zope-interface4
python-zope-interface4-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
python-zope-interface4.x86_64: W: obsolete-not-provided python-zope-filesystem
python-zope-interface4.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/site-packages/zope/interface/_zope_interface_coptimizations.so 0775L
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-zope-interface4-debuginfo-4.0.2-3.el6.x86_64.rpm (rpmlib, GLIBC filtered):
    

python-zope-interface4-4.0.2-3.el6.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    libpthread.so.0()(64bit)  
    libpython2.6.so.1.0()(64bit)  
    python(abi) = 2.6
    python-zope-event  
    rtld(GNU_HASH)  



Provides
--------
python-zope-interface4-debuginfo-4.0.2-3.el6.x86_64.rpm:
    
    python-zope-interface4-debuginfo = 4.0.2-3.el6
    python-zope-interface4-debuginfo(x86-64) = 4.0.2-3.el6

python-zope-interface4-4.0.2-3.el6.x86_64.rpm:
    
    python-zope-interface4 = 4.0.2-3.el6
    python-zope-interface4(x86-64) = 4.0.2-3.el6



Unversioned so-files
--------------------
python-zope-interface4-4.0.2-3.el6.x86_64.rpm: /usr/lib64/python2.6/site-packages/zope/interface/_zope_interface_coptimizations.so

MD5-sum check
-------------
http://pypi.python.org/packages/source/z/zope.interface/zope.interface-4.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : d2e9dd6b670220c2f2d7fbd4bf4934cd6a7c078719f9b2a85e8f7bc2e6391abf
  CHECKSUM(SHA256) upstream package : d2e9dd6b670220c2f2d7fbd4bf4934cd6a7c078719f9b2a85e8f7bc2e6391abf


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: epel-6-x86_64
Command line :/usr/bin/fedora-review -b 881903

Comment 3 Ralph Bean 2012-12-03 12:49:04 UTC
New release fixes rpmlint warnings and the permissions issue.

SPEC: http://threebean.org/rpm/python-zope-interface4.spec
SRPM: http://threebean.org/rpm/python-zope-interface4-4.0.2-4.fc18.src.rpm

Comment 4 Tomas Dabašinskas 2012-12-04 04:21:41 UTC
Package approved, please continue with step 8 in
https://fedoraproject.org/wiki/Package_Review_Process

Comment 5 Ralph Bean 2012-12-04 14:05:35 UTC
New Package SCM Request
=======================
Package Name: python-zope-interface4 
Short Description: Forward compat package for ZOPE 3 Interface Infrastructure
Owners: ralph
Branches: el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-12-04 14:10:26 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-12-04 14:56:49 UTC
python-zope-interface4-4.0.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-zope-interface4-4.0.2-4.el6

Comment 8 Fedora Update System 2012-12-06 15:01:57 UTC
python-zope-interface4-4.0.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-zope-interface4-4.0.2-5.el6

Comment 9 Fedora Update System 2012-12-31 19:16:41 UTC
python-zope-interface4-4.0.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-zope-interface4-4.0.2-7.el6

Comment 10 Fedora Update System 2013-01-22 03:36:16 UTC
python-zope-interface4-4.0.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.